core:module("CoreElementTimer")
core:import("CoreMissionScriptElement")
ElementTimer = ElementTimer or class(CoreMissionScriptElement.MissionScriptElement)

local CO_MS_CookFaster = _G.CO_MS_CookFaster or {}

if not CO_MS_CookFaster or not CO_MS_CookFaster.settings then
	return
end

if not Global.game_settings or (Global.game_settings.level_id ~= "lid_cookoff_methslaves") then
	return
end

Hooks:PostHook(ElementTimer, "timer_operation_reset", "CO_MS_CookFaster_timer_operation_reset", function(self)
	if not Global.game_settings or (Global.game_settings.level_id ~= "lid_cookoff_methslaves") then
		-- empty
	else
		if (self._id == 102164 or self._id == 102166 or self._id == 102177 or self._id == 102178) and CO_MS_CookFaster.settings.Bile_Coming then
			self._timer = self:get_random_table_value_float(1)
			self:_update_digital_guis_timer()
		end
	end
end)
