core:module("CoreMissionScriptElement")
core:import("CoreXml")
core:import("CoreCode")
core:import("CoreClass")

if not Global.game_settings then
	return
end

Hooks:PreHook(MissionScriptElement, "_calc_base_delay", "CO_MS_CookFaster_calc_base_delay", function(self)
	local CO_MS_CookFaster = _G.CO_MS_CookFaster or {}
	if not CO_MS_CookFaster or not CO_MS_CookFaster.settings then
		-- empty
	else
		if Global.game_settings.level_id == "lid_cookoff_methslaves" then
			if self._id == 102197 and CO_MS_CookFaster.settings.Bile_Coming then
				self._values.base_delay_rand = nil
				self._values.base_delay = 1
			end
		end
	end
end)

Hooks:PreHook(MissionScriptElement, "_calc_element_delay", "CO_MS_CookFaster_calc_element_delay", function(self, params)
	local CO_MS_CookFaster = _G.CO_MS_CookFaster or {}
	if not CO_MS_CookFaster or not CO_MS_CookFaster.settings then
		-- empty
	else
		if ((Global.game_settings.level_id == "lid_cookoff_methslaves") and self._id == 100724) then
			params.delay_rand = nil
			params.delay = CO_MS_CookFaster.settings.Delay
			return CO_MS_CookFaster.settings.Delay + 0.5
		end
	end
end)
